Bug Hunting Session
Bug 82012 - EDITING: Compress image removes flip settings
Summary: EDITING: Compress image removes flip settings
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium normal
Assignee: Justin L
URL:
Whiteboard: BSA target:5.2.0 target:5.1.2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-01 13:39 UTC by lore
Modified: 2017-05-19 10:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lore 2014-08-01 13:39:36 UTC
Problem description: 
When a flipped image is compressed, the flip settings get lost

Steps to reproduce:
1. New document
2. Insert a picture
3. Right clic on the picture-->picture-->flip--> check "Vertically"--> ok
4. Right clic on the picture--> compress graphic-->ok
5. the picture will get back to the original orientation


Current behavior:
The flip information is lost

Expected behavior:
The flip information should be kept

              
Operating System: Mac OS X
Version: 4.2.5.2 release
Comment 1 A (Andy) 2014-08-01 18:24:18 UTC
reproducible with LO 4.3.0.4 (Win 8.1)
Comment 2 QA Administrators 2015-10-14 19:57:53 UTC Comment hidden (obsolete)
Comment 3 lore 2015-10-15 18:24:11 UTC
Bug is still present in version 5.0.2.2.
Comment 4 Justin L 2016-02-15 16:21:08 UTC
fix proposed at gerrit.libreoffice.org/22372
Comment 5 Commit Notification 2016-02-18 09:27:43 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=153818bf686fe9d1b8f5a4f65cc14ea57420d1b0

tdf#82012 - keep flip settings when compressing image

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-02-18 09:30:02 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c31afc3624224b926069e87ad13c14f8cc9d63ce&h=libreoffice-5-1

tdf#82012 - keep flip settings when compressing image

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.